4Suite™ API Documentation

# ► Module Ft.Rdf.Inference.Assert

WWW: http://4suite.org/4RDF e-mail: support@4suite.org
Copyright (c) 1999 Fourthought Inc, USA. All Rights Reserved.
See http://4suite.org/COPYRIGHT for license and copyright information

Classes: Assert, DualAssert, SingleAssert

## Classes

class Assert

### Methods

__init__(self, id_, negative, arguments)
assert_(self, infEng, context)
chain(self, infEng, context)

class DualAssert(Assert)
Stored in RDF Model as triple. For instance ate(X, Y), if the ate predicate is in the http://spam.com namespace and the UUID of the X resource is 132ad72a-f1e0-4482-82e3-e7d790d4f56 and the UUID of the Y resource is 23bd4d35-afa1-4be1-8d80-e34bbed9db7d is mapped to (urn:uuid:132ad72a-f1e0-4482-82e3-e7d790d4f56, http://spam.com#ate, 23bd4d35-afa1-4be1-8d80-e34bbed9db7d)

### Methods

execute(self, infEng, context)

### Methods inherited from class Assert

__init__, assert_, chain

class SingleAssert(Assert)
Stored in RDF Model as triple. For instance hungry(X), if the hungry predicate is in the http://spam.com namespace and the UUID of the X resource is 132ad72a-f1e0-4482-82e3-e7d790d4f56 is mapped to (http://spam.com#hungry, urn:uuid:132ad72a-f1e0-4482-82e3-e7d790d4f56, 1)

### Methods

execute(self, infEng, context)

### Methods inherited from class Assert

__init__, assert_, chain